Name: man-pages-fr
Version: 0.7
Release: 1
Summary: French manpages
Copyright: GPL
Group: Documentation
Source0: ftp://ftp.lip6.fr/pub/linux/french/docs/man-fr-0.7.tar.gz
Source1: makewhatis.fr
Icon: books-fr.gif
Buildroot: /tmp/man-pages-fr-root
BuildArchitectures: noarch
Requires: locales-fr, man >= 1.5a-2
Summary(fr): Pages de manuel en franais

%description
This package contains the French traduction of man pages.

%description -l fr
Vous trouverez ci-joint les traductions franaises des pages
de manuel pour Linux,  partir de l'archive du Linux Documentation Project.

%prep
%setup -n man-fr-%{PACKAGE_VERSION}
%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/man/fr/man{1,2,3,4,5,6,7,8,9,n}
mkdir -p $RPM_BUILD_ROOT/var/catman/fr/cat{1,2,3,4,5,6,7,8,9,n}
mkdir -p $RPM_BUILD_ROOT/usr/local/sbin

for i in 1 2 3 4 5 7 8 ; do
	cp man${i}/* ${RPM_BUILD_ROOT}/usr/man/fr/man${i}/
	gzip -9f ${RPM_BUILD_ROOT}/usr/man/fr/man${i}/*
done
chown man.man -R $RPM_BUILD_ROOT/usr/man/fr $RPM_BUILD_ROOT/var/catman/fr
chmod g+w $RPM_BUILD_ROOT/var/catman/fr/*
install -m 755 $RPM_SOURCE_DIR/makewhatis.fr $RPM_BUILD_ROOT/usr/local/sbin/makewhatis.fr

mkdir -p $RPM_BUILD_ROOT/etc/cron.weekly
cat > $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-fr.cron << EOF
#!/bin/bash
/usr/local/sbin/makewhatis.fr /usr/man/fr
exit 0
EOF
chmod a+x $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-fr.cron

# those files conflict whith net-tools
rm $RPM_BUILD_ROOT/usr/man/fr/man1/dnsdomainname.1.gz
rm $RPM_BUILD_ROOT/usr/man/fr/man1/hostname.1.gz

%clean
rm -r $RPM_BUILD_ROOT

%post
if grep makewhatis.fr /etc/cron.weekly/makewhatis.cron >& /dev/null
then
	cat /etc/cron.weekly/makewhatis.cron | grep -v '^/usr/local/sbin/makewhatis.fr' > /tmp/makewhatis-update.$$
	cat /tmp/makewhatis-update.$$ > /etc/cron.weekly/makewhatis.cron
	rm /tmp/makewhatis-update.$$
fi

%files
%doc LISEZ_MOI changements liste_section_*
/usr/man/fr
/var/catman/fr
/usr/local/sbin/makewhatis.fr
%config /etc/cron.weekly/makewhatis-fr.cron
